Name: skomoroh
Version: 1.0
Release: alt1

Summary:  Skomoroh is GUI for Speech Systems
Summary(ru_RU.UTF-8): Skomoroh - это программа предназначенная для озвучки различных текстов преимущественно на русском языке и имеющая графический интерфейс

License: GPL
Group: Audio
Url: http://menestrel.sourceforge.net/

Packager: YYY


Source: skomoroh-1.0.tar.gz
Source1: %name.desktop
Source2: %name.png
Source3: antiodt
Source4: FB2_2_txt.xsl

BuildPreReq: libXext-devel

Requires: antiword xsltproc lynx antiodt xmlstarlet unzip sox RHVoice ru_tts espeak

%description
Skomoroh is GUI for Speech Systems
 
%description -l ru_RU.UTF-8
Skomoroh - универсальная программа, которая может использовать в качестве tts-движка
ru_tts
eSpeak
RHVoice
или любой другой, который может функционировать из коммандной строки и преобразование в речь из которого можно сохранить в виде wav файла.


%prep
%setup -n skomoroh-1.0

%build
qmake-qt4 Skomoroh.pro PREFIX=%buildroot/usr
%make_build

%install
mkdir -p %buildroot/usr/bin
mkdir -p %buildroot%_datadir/applications/
mkdir -p %buildroot%_datadir/icons/
mkdir -p %buildroot%_datadir/%name/
cp build/target/Skomoroh %buildroot/usr/bin/skomoroh

install -Dp -m0644 %SOURCE1 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE2 %buildroot%_datadir/icons/
install -Dp -m0755 %SOURCE3 %buildroot/usr/bin/
install -Dp -m0755 %SOURCE4 %buildroot%_datadir/%name/


%files
%_bindir/*
%_desktopdir/*
%_iconsdir/*
%_datadir/%name/*
